Ask Your Question
0

error while installing rpm for libmpc2

asked 2012-05-18 06:43:27 -0500

mjnovice gravatar image

the following error crops up when installing libmpc2 error: can't create transaction lock on /var/lib/rpm/.rpm.lock (Permission denied) please suggest what should be done??

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2012-05-18 11:21:24 -0500

thm gravatar image

You need to be root to install an RPM package. On the command line use e.g.

su -c "rpm -Uvh package.rpm"
edit flag offensive delete link more

Comments

Please note that it is preferred to use yum to install packages rather than rpm directly. Yum does the dependency resolution for you.

FranciscoD_ gravatar imageFranciscoD_ ( 2012-05-20 05:26:41 -0500 )edit

Question Tools

Stats

Asked: 2012-05-18 06:43:27 -0500

Seen: 958 times

Last updated: May 18 '12